%define name tkbabel
%define version 0.5
%define release 3mdk


Summary: Tk/Tcl frontend for babelfish language translation
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Communications
Source: http://members.home.net/sdanis/tkbabel/tkbabel.tar.bz2
URL: http://members.home.ner/sdanis/tkbabel/
Buildarch: noarch
Buildroot: /var/tmp/%{name}-buildroot
Packager: Enzo Maggi <enzo@mandrakesoft.com>

%description
Tkbabel and tclbabel are simple Tcl/Tk programs to access babelfish from
either the command line (tclbabel) or from a simple GUI (tkbabel).

%changelog

* Tue Mar 28 2000 Enzo Maggi <enzo@mandrakesoft.com> 0.5-3mdk
- repackaged

* Fri Nov 19 1999 Lenny Cartier <lenny@mandrakesoft.com>
- New in contribs
- Specfiles adaptations
- Used the contrib provided by rufus.t.firefly

* Wed Oct 27 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [tkbabel-0.5-2mdk]
  - fixed symbolic linking problem
  - moved Babelfish.tcl library to /usr/share, with sed patch
* Wed Oct 12 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [tkbabel-0.5-1mdk]
  - converted history to changelog tag
  - updated package to new version 0.5 from freshmeat
* Tue Oct 12 1999 rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  [tkbabel-0.3-1mdk]
  - initial packaging

%prep
rm -rf $RPM_BUILD_ROOT

%setup -n tkbabel

%build
 # replace the location of Babelfish.tcl in tkbabel and tclbabel
mv tclbabel tclbabel.orig
 sed -e "s/\/usr\/local\/bin/\/usr\/share/" tclbabel.orig > tclbabel
mv tkbabel  tkbabel.orig
 sed -e "s/\/usr\/local\/bin/\/usr\/share/" tkbabel.orig  > tkbabel

%install
# install the actual executable 
 install -m 755 -d $RPM_BUILD_ROOT/usr
 install -m 755 -d $RPM_BUILD_ROOT/usr/bin
 install -m 755 -d $RPM_BUILD_ROOT/usr/share
 install -m 755 Babelfish.tcl  $RPM_BUILD_ROOT/usr/share/Babelfish.tcl
 install -m 755 {tk,tcl}babel  $RPM_BUILD_ROOT/usr/bin/

%files
%defattr (-,root,root)
%doc CHANGELOG INSTALL LICENSE README USAGE
/usr/bin/tclbabel
/usr/bin/tkbabel
/usr/share/Babelfish.tcl
